<?php 
class ControllerFeedArukereso extends Controller {
	private $error = array(); 

	public function index() {
		
		$this->language->load('feed/arukereso');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('arukereso', $this->request->post);				

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/feed', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');

		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_data_feed'] = $this->language->get('entry_data_feed');
//
		$this->data['entry_minquantity'] = $this->language->get('entry_minquantity');
		$this->data['entry_shippingprice'] = $this->language->get('entry_shippingprice');
		$this->data['entry_arukereso_delivery_time'] = $this->language->get('entry_arukereso_delivery_time');
		
//
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

		$this->data['breadcrumbs'] = array();

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => false
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_feed'),
			'href'      => $this->url->link('extension/feed', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('feed/arukereso', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['action'] = $this->url->link('feed/arukereso', 'token=' . $this->session->data['token'], 'SSL');

		$this->data['cancel'] = $this->url->link('extension/feed', 'token=' . $this->session->data['token'], 'SSL');
//
		if (isset($this->request->post['arukereso_status'])) {
			$this->data['arukereso_status'] = $this->request->post['arukereso_status'];
		} else {
			$this->data['arukereso_status'] = $this->config->get('arukereso_status');
		}
		if (isset($this->request->post['arukereso_minquantity'])) {
			$this->data['arukereso_minquantity'] = $this->request->post['arukereso_minquantity'];
		} else {
			$this->data['arukereso_minquantity'] = $this->config->get('arukereso_minquantity');
		}
		if (isset($this->request->post['arukereso_shippingprice'])) {
			$this->data['arukereso_shippingprice'] = $this->request->post['arukereso_shippingprice'];
		} else {
			$this->data['arukereso_shippingprice'] = $this->config->get('arukereso_shippingprice');
		}
		if (isset($this->request->post['arukereso_delivery_time'])) {
			$this->data['arukereso_delivery_time'] = $this->request->post['arukereso_delivery_time'];
		} else {
			$this->data['arukereso_delivery_time'] = $this->config->get('arukereso_delivery_time');
		}
		
//
		$this->data['data_feed'] = HTTP_CATALOG . 'index.php?route=feed/arukereso';

		$this->template = 'feed/arukereso.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);

		$this->response->setOutput($this->render());
	} 

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'feed/arukereso')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}	
}
?>